--
-- Patch DDL de ACCORDS du 09/12/2011 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;

--
--
-- Fichier : 1
-- Type : DDL
-- Schema : ACCORDS
-- Numero de version : 2.1.0.13
-- Date de publication : 09/12/2011
-- Auteur(s) : Alexis TUAL
-- Licence : CeCILL version 2
--
--

-- Rajout du lien entre REPART_PARTENAIRE_TRANCHE et FRAIS_GESTION
ALTER TABLE ACCORDS.FRAIS_GESTION ADD RPT_ID NUMBER NOT NULL;
ALTER TABLE ACCORDS.FRAIS_GESTION MODIFY(TRA_ORDRE NUMBER NULL);
ALTER TABLE ACCORDS.FRAIS_GESTION ADD (CONSTRAINT FK_RPT FOREIGN KEY (RPT_ID) REFERENCES ACCORDS.REPART_PARTENAIRE_TRANCHE (RPT_ID) DEFERRABLE INITIALLY DEFERRED);

-- Rajout de contrainte entre SB_DEPENSE et MARACUJA.PLAN_COMPTABLE_EXER
GRANT REFERENCES ON MARACUJA.PLAN_COMPTABLE_EXER TO ACCORDS;
ALTER TABLE ACCORDS.SB_DEPENSE ADD (CONSTRAINT FK_SBDEP_PCOEXER FOREIGN KEY (EXE_ORDRE,PCO_NUM) REFERENCES MARACUJA.PLAN_COMPTABLE_EXER (EXE_ORDRE, PCO_NUM) DEFERRABLE INITIALLY DEFERRED);
ALTER TABLE ACCORDS.SB_RECETTE ADD (CONSTRAINT FK_SBREC_PCOEXER FOREIGN KEY (EXE_ORDRE,PCO_NUM) REFERENCES MARACUJA.PLAN_COMPTABLE_EXER (EXE_ORDRE, PCO_NUM) DEFERRABLE INITIALLY DEFERRED);

------------------------------------------------------------------------------------------------------------------------
--  Ajout de la clef étrangères DOC_ID
------------------------------------------------------------------------------------------------------------------------
Insert into ACCORDS.VERSION_HISTO (VH_ORDRE,VH_NUM,VH_DATE_EXEC,VH_LIBELLE) values (
    accords.VERSION_HISTO_SEQ.nextval,'2.1.0.13',to_date('09/12/2011','DD/MM/YYYY'),
    'Ajout de la clef étrangère FRAIS_GESTION.RPT_ID, clef étrangère SB_DEPENSE, SB_RECETTE vers PLAN_COMPTABLE_EXER');
commit;
